function  pridat_bod1( varargin )

global Data poz
X = Data(1).x;
Y = Data(1).y;
Hrana=5;
N = length(poz);

%interaktivni volba pozice krajniho bodu pomoci mysi
[X1 Y1] = ginput(1)

%vypocet euklidovske vzdalenosti zvoleneho bodu se vsemi body
E = sqrt((X-X1).^2 + (Y-Y1).^2);

%vyber bodu s minimalni euklidovskou vzdalenosti
[dD pD] = min(E);

%zapsani vybraneho bodu do vektoru krajnich bodu
poz(N+1) = pD;
j=N+1;

%vykresleni dodaneho krajniho bodu
patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
 set(gca,'YTick',[],'XTick',[],'Xlim', [min(X)-10 max(X)+10],'Ylim', [min(Y)-10 max(Y)+10])
 poz=sort(poz);
end

